# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetTypeInfoResp

Packages that use TGetTypeInfoResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTypeInfoResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetTypeInfoResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetTypeInfo_call`
`static class`
`TCLIService.AsyncProcessor.GetTypeInfo<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTypeInfoResp
Modifier and Type
Class
Description
`class`
`TGetTypeInfoResp`
`class`
`TGetTypeInfoResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetTypeInfoResp
Modifier and Type
Field
Description
`TGetTypeInfoResp`
TCLIService.GetTypeInfo_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTypeInfoResp
Modifier and Type
Method
Description
`TGetTypeInfoResp`
TGetTypeInfoResp.`deepCopy()`
`TGetTypeInfoResp`
TCLIService.AsyncClient.GetTypeInfo_call.`getResult()`
`TGetTypeInfoResp`
TCLIService.GetTypeInfo_result.`getSuccess()`
`TGetTypeInfoResp`
TCLIService.Client.`GetTypeInfo(TGetTypeInfoReq req)`
`TGetTypeInfoResp`
TCLIService.Iface.`GetTypeInfo(TGetTypeInfoReq req)`
`TGetTypeInfoResp`
TCLIService.Client.`recv_GetTypeInfo()`
`TGetTypeInfoResp`
TGetTypeInfoResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetTypeInfoResp`
TGetTypeInfoResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetTypeInfoResp`
TGetTypeInfoResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetTypeInfoResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp>`
TCLIService.AsyncProcessor.GetTypeInfo.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTypeInfoResp
Modifier and Type
Method
Description
`int`
TGetTypeInfoResp.`compareTo(TGetTypeInfoResp other)`
`boolean`
TGetTypeInfoResp.`equals(TGetTypeInfoResp that)`
`TCLIService.GetTypeInfo_result`
TCLIService.GetTypeInfo_result.`setSuccess(TGetTypeInfoResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetTypeInfoResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetTypeInfo(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetTypeInfo(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetTypeInfo.`start(I iface, TCLIService.GetTypeInfo_args args, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTypeInfoResp
Modifier
Constructor
Description
``
`GetTypeInfo_result(TGetTypeInfoResp success)`
``
`TGetTypeInfoResp(TGetTypeInfoResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetTypeInfoResp
Modifier
Constructor
Description
``
`GetTypeInfo_call(TGetTypeInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`